using System.Collections.Generic;
using LitJson;

namespace Wizard;

public class GatheringConfirmDeckListTask : BaseTask
{
	public Format DeckFormat { get; private set; }

	public List<DeckGroup> DeckGroupList { get; private set; }

	public DeckGroupListData DeckGroupListData { get; private set; }

	public GatheringConfirmDeckListTask()
	{
		base.type = ApiType.Type.GatheringConfirmDeckList;
	}

	protected override int Parse()
	{
		int num = base.Parse();
		if (num != 1)
		{
			return num;
		}
		JsonData jsonData = base.ResponseData["data"];
		GameMgr.GetIns().GetDataMgr().SetMaintenanceCardIds(jsonData["maintenance_card_list"]);
		DeckFormat = Data.ParseApiFormat(jsonData["deck_format"].ToInt());
		DeckGroupList = new List<DeckGroup>();
		DeckGroupList.Add(DeckListUtility.CreateDeckGroup(jsonData["deck_list"], DeckFormat, DeckAttributeType.CustomDeck));
		DeckGroupListData = new DeckGroupListData(DeckGroupList);
		return num;
	}
}
